/***************************************************************************
 *   Copyright (C) 2008 by Tamino Dauth                                    *
 *   tamino.dauth@web.de                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef PROGRESSDIALOG_H
#define PROGRESSDIALOG_H

#include <QDialog>
#include <QTime>

#include "ui_progressdialog.h"

namespace hpp
{

class MainWindow;

class ProgressDialog : public QDialog, public Ui::ProgressDialog
{
	Q_OBJECT

	public:
		bool canceled() const;

		ProgressDialog(MainWindow *parent);
		void run(int maxValue);
		void changeValue(int value);
		void finish();

	private:
		int maxValue;
		bool m_canceled;
		QTime time;
};

};

#endif
